Get Profile
curl --request GET \
--url https://api.agentpowers.ai/v1/users/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/users/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/users/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"display_name_slug": "<string>",
"display_name": "<string>",
"github_username": "<string>",
"joined_at": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>",
"avatar_url": "<string>",
"account_status": "<string>",
"deletion_scheduled_at": "<string>"
}users
Get Profile
Return current user’s profile.
GET
/
v1
/
users
/
profile
Get Profile
curl --request GET \
--url https://api.agentpowers.ai/v1/users/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/users/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/users/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"display_name_slug": "<string>",
"display_name": "<string>",
"github_username": "<string>",
"joined_at": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>",
"avatar_url": "<string>",
"account_status": "<string>",
"deletion_scheduled_at": "<string>"
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Response
200 - application/json
Successful Response
Response body for profile endpoints.
Was this page helpful?